> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/verduurzamen/nta-8800-energielabel-v2-api/appartementen/migratiehandleiding-v1-v2.md).

# Migratiehandleiding: v1 → v2

## 1. Wijzigingen in de request body

#### v1

```json
{
    "post_code": "3024XL",
    "house_number": "227",
    "house_addition": "B"
}
```

#### v2

```json
{
    "postcode": "3024XL",
    "housenumber": "227",
    "houseaddition": "B"
}
```

## 2. Wijzigingen in de invoer

#### a. Basiskenmerken

**Nieuwe invoervelden**

* `electric_cooking`
* `cooling`
* `apartment_type`

#### Wijzigingen in de invoer voor zonnepanelen

De structuur van `solar_panels` is gewijzigd van één integerwaarde naar een lijst waarin afzonderlijke zonnepaneelinstallaties worden beschreven.

Nieuwe velden voor zonnepanelen zijn onder andere:

* `solar_panels` (per zonnepaneel)
* `pv_total_watt_peak`
* `pv_area`
* `specific_watt_peak`
* `angle`
* `orientation`

## 3. Wijzigingen in de output

De responsstructuur bevat nu extra velden en aangepaste naamgeving.

#### Nieuwe outputvelden

* `cooling`
* `electric_cooking`
* `solar_panels` (per zonnepaneel)
* `roof_surface`
* `original_watt_peak_capacity`
* `total_watt_peak_capacity`
* `inclination_angle`
* `orientation`

## 4. Wijzigingen in waarden van kenmerken

Het waardebereik voor verschillende kenmerken is gewijzigd.

Voorheen liepen deze waarden van `0–3`, maar nu lopen ze van `1–4`.

Dit geldt voor onder andere:

* `wall_insulation`
* `floor_insulation`
* `roof_insulation`
* `living_room_windows`

#### Voorbeeld

**v1**

```
1 = matige gevelisolatie
```

**v2**

```
2 = matige gevelisolatie
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.altum.ai/verduurzamen/nta-8800-energielabel-v2-api/appartementen/migratiehandleiding-v1-v2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
